Subject: Re: hmm, can't we give the "root" a parent?

From: Kay Sievers <[email-masked]>
Date: Tue, 13 Sep 2005 00:50:32 +0200

On Mon, Sep 12, 2005 at 02:42:16PM -0700, Linus Torvalds wrote:
> 
> 
> On Mon, 12 Sep 2005, Kay Sievers wrote:
> > 
> > Everthing that walk from one commit to another, uses git-rev-list, sure.
> > But in the commit view, and the commitdiff the "parent" link and the parent
> > that is passed to diff is read from the commit itself.
> > 
> > > (So instead of trying to parse the parent info from the header of the 
> > > commit, just do "git-rev-list --pretty --parents" and parse that).
> > 
> > I need only one parent:
> >   git-rev-list --parents --max-count=1 <id>
> 
> Who don't you use that to show the comments too? 
> 
> So instead of doing
> 
> 	git-cat-file commit <id>
> 
> (or whatever you do), just do
> 
> 	git-rev-list --parents --pretty=raw --max-count=1 <id>

That would be nice, if I could convert everthing to this output format.

But why does --pretty=raw mangle the text with spaces?
Well the output of this  weird word combination may be "pretty" but definitely
not "raw". :)

And I would prefer --pretty=raw with '\0' termination instead of '\n' so I can
replace the output from --header with --pretty=raw and can still use the same
parsing routine.

Thanks,
Kay